Subject: bug#44635: bugs in watch

From: John Lawrence Aspden <[email-masked]>
Date: Sat, 14 Nov 2020 13:07:07 +0000

Hi Guys,

I noticed a couple of things that look like bugs in 'watch' in
questions on unix.stackexchange.com (one of them is my own question).

https://unix.stackexchange.com/questions/101041/does-watch-only-monitor-the-visible-output

https://unix.stackexchange.com/questions/619461/why-does-watch-handle-programs-differently-depending-on-their-output

Both bugs are easy to provoke on my current stable debian.

john@dell-3537$ watch --version
watch from procps-ng 3.3.15

I john@dell-3537$ cat /etc/debian_version
10.6

I wondered if you guys already knew about them? If not, and if the
stackexchange questions aren't clear enough, can you point me to where
and how I should make formal bug reports?

John.